sys.version_info(major=3, minor=10, micro=6, releaselevel='final', serial=0)

### Timing comparison of `int` functions

| Input type        | builtin (ms)       | fastnumbers (ms)  |
| ----------------: | -----------------: | ----------------: |
|  Small Int String |    9.631 ± 0.476   | **7.466 ± 0.151** |
|        Int String |   10.730 ± 0.715   | **9.469 ± 0.185** |
| Medium Int String |   11.573 ± 0.726   | **9.414 ± 0.098** |
|  Large Int String | **16.108 ± 0.168** |  18.211 ± 0.764   |
|               Int |  **5.848 ± 0.814** |   6.317 ± 0.146   |
|             Float | **15.029 ± 0.244** |  19.011 ± 0.175   |

### Timing comparison of `float` functions

| Input type         | builtin (ms)      | fastnumbers (ms)   |
| -----------------: | ----------------: | -----------------: |
|   Small Int String | **8.512 ± 0.565** |    9.487 ± 0.746   |
|         Int String | **9.216 ± 0.227** |    9.715 ± 0.150   |
|  Medium Int String |  10.486 ± 0.162   | **10.028 ± 0.087** |
|   Large Int String |  28.977 ± 1.327   | **14.435 ± 0.182** |
| Small Float String | **8.719 ± 0.304** |    9.946 ± 0.652   |
|       Float String |  26.140 ± 0.447   | **11.401 ± 0.158** |
| Large Float String |  52.146 ± 1.277   | **12.464 ± 0.450** |
|                Int | **4.869 ± 0.045** |    9.016 ± 0.121   |
|              Float | **4.060 ± 0.064** |    6.736 ± 0.116   |

### Timing comparison of `int` functions with error handling

| Input type         | try/except (ms)    | regex (ms)     | fastnumbers (ms)   |
| -----------------: | -----------------: | -------------: | -----------------: |
|  Non-number String |   85.344 ± 0.324   | 21.042 ± 0.058 |  **8.462 ± 0.064** |
|   Small Int String |   13.659 ± 0.133   | 32.744 ± 0.028 |  **8.008 ± 0.069** |
|         Int String |   14.435 ± 0.082   | 35.465 ± 0.517 | **10.396 ± 0.011** |
|  Medium Int String |   16.305 ± 0.124   | 39.316 ± 0.349 | **10.792 ± 0.009** |
|   Large Int String | **21.066 ± 0.370** | 53.589 ± 0.056 |   21.727 ± 3.613   |
| Small Float String |   81.628 ± 1.191   | 23.037 ± 0.342 |  **8.465 ± 0.028** |
|       Float String |   85.498 ± 1.389   | 29.598 ± 1.407 |  **8.565 ± 0.055** |
| Large Float String |   92.305 ± 1.269   | 30.355 ± 0.530 |  **8.893 ± 0.391** |
|                Int |   10.079 ± 0.025   | 50.395 ± 0.765 |  **7.146 ± 0.047** |
|              Float | **19.626 ± 0.023** | 62.877 ± 0.125 |   20.773 ± 0.013   |

### Timing comparison of `float` functions with error handling

| Input type         | try/except (ms)   | regex (ms)     | fastnumbers (ms)   |
| -----------------: | ----------------: | -------------: | -----------------: |
|  Non-number String |  46.551 ± 0.177   | 23.013 ± 0.023 |  **9.349 ± 0.068** |
|   Small Int String |  12.582 ± 0.061   | 38.585 ± 0.595 | **11.144 ± 0.011** |
|         Int String |  13.822 ± 0.035   | 41.978 ± 0.010 | **11.210 ± 0.163** |
|  Medium Int String |  14.820 ± 0.055   | 46.409 ± 1.863 | **12.355 ± 0.029** |
|   Large Int String |  35.615 ± 0.499   | 80.730 ± 0.087 | **16.538 ± 0.267** |
| Small Float String |  12.924 ± 0.055   | 37.369 ± 0.009 | **12.769 ± 1.701** |
|       Float String |  32.907 ± 0.044   | 67.682 ± 0.014 | **13.143 ± 0.180** |
| Large Float String |  57.393 ± 0.025   | 96.052 ± 1.335 | **13.343 ± 0.210** |
|                Int | **8.501 ± 0.028** | 47.501 ± 0.041 |    9.819 ± 0.012   |
|              Float |   7.616 ± 0.048   | 48.687 ± 0.032 |  **7.495 ± 0.045** |

### Timing comparison of `float` (but coerce to `int` if possible) functions with error handling

| Input type         | try/except (ms) | regex (ms)       | fastnumbers (ms)   |
| -----------------: | --------------: | ---------------: | -----------------: |
|  Non-number String |  49.292 ± 0.277 |  40.196 ± 0.057  | **10.436 ± 0.016** |
|   Small Int String |  22.239 ± 0.079 |  32.782 ± 0.008  |  **9.033 ± 0.141** |
|         Int String |  24.193 ± 0.035 |  35.432 ± 0.415  | **11.396 ± 0.014** |
|  Medium Int String |  29.025 ± 0.485 |  40.538 ± 0.004  | **12.157 ± 0.175** |
|   Large Int String |  55.918 ± 0.015 |  54.337 ± 0.829  | **21.736 ± 0.303** |
| Small Float String |  22.084 ± 0.012 |  70.081 ± 27.353 | **13.924 ± 0.219** |
|       Float String |  64.979 ± 2.653 |  94.541 ± 1.321  | **20.525 ± 0.792** |
| Large Float String | 119.572 ± 1.793 | 119.674 ± 1.644  | **38.955 ± 0.608** |
|                Int |  17.547 ± 0.044 |  53.594 ± 0.180  |  **7.856 ± 0.040** |
|              Float |  39.578 ± 0.455 |  52.933 ± 0.403  | **21.245 ± 0.006** |

### Timing comparison of forced `int` functions with error handling

| Input type         | try/except (ms)    | regex (ms)      | fastnumbers (ms)   |
| -----------------: | -----------------: | --------------: | -----------------: |
|  Non-number String |  131.969 ± 4.728   |  40.198 ± 0.045 |  **9.259 ± 0.022** |
|   Small Int String |   13.700 ± 0.056   |  32.389 ± 0.023 |  **8.463 ± 0.036** |
|         Int String |   14.463 ± 0.017   |  34.942 ± 0.016 | **10.750 ± 0.009** |
|  Medium Int String |   16.435 ± 1.151   |  68.008 ± 0.225 | **11.229 ± 0.028** |
|   Large Int String | **20.243 ± 0.333** | 104.271 ± 1.515 |   20.524 ± 0.025   |
| Small Float String |   93.431 ± 1.688   |  60.968 ± 0.875 | **10.232 ± 0.045** |
|       Float String |  133.335 ± 0.825   | 105.494 ± 0.415 | **18.650 ± 0.035** |
| Large Float String |  178.613 ± 1.096   | 150.346 ± 0.090 | **37.636 ± 0.393** |
|                Int |    9.432 ± 0.057   |  48.779 ± 0.914 |  **6.880 ± 0.031** |
|              Float | **19.774 ± 0.014** |  61.374 ± 2.030 |   20.468 ± 0.007   |

### Timing comparison to check if value can be converted to `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)  |
| -----------------: | --------------: | -------------: | ----------------: |
|  Non-number String |  87.819 ± 1.736 | 29.586 ± 0.033 | **6.703 ± 0.042** |
|   Small Int String |  17.920 ± 0.055 | 33.269 ± 0.734 | **6.654 ± 0.046** |
|         Int String |  18.503 ± 0.069 | 35.133 ± 0.745 | **6.787 ± 0.046** |
|  Medium Int String |  20.077 ± 0.273 | 38.332 ± 0.844 | **6.925 ± 0.061** |
|   Large Int String |  25.034 ± 0.058 | 46.740 ± 0.057 | **7.142 ± 0.422** |
| Small Float String |  79.564 ± 0.348 | 32.218 ± 0.197 | **7.447 ± 0.051** |
|       Float String |  87.389 ± 0.101 | 37.024 ± 0.760 | **8.206 ± 0.138** |
| Large Float String |  87.220 ± 0.083 | 36.735 ± 0.600 | **8.338 ± 0.084** |
|                Int |  13.964 ± 0.067 | 14.274 ± 0.071 | **5.943 ± 0.028** |
|              Float |  25.229 ± 0.285 | 13.705 ± 0.090 | **5.978 ± 0.051** |

### Timing comparison to check if value can be converted to `float`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)  |
| -----------------: | --------------: | -------------: | ----------------: |
|  Non-number String |  47.741 ± 0.184 | 32.281 ± 0.031 | **7.339 ± 0.041** |
|   Small Int String |  16.903 ± 0.040 | 43.378 ± 3.023 | **7.731 ± 0.066** |
|         Int String |  18.479 ± 0.126 | 42.753 ± 0.968 | **7.633 ± 0.045** |
|  Medium Int String |  19.209 ± 0.075 | 45.565 ± 0.737 | **7.673 ± 0.065** |
|   Large Int String |  38.828 ± 0.008 | 54.346 ± 0.360 | **7.800 ± 0.081** |
| Small Float String |  17.452 ± 0.005 | 39.007 ± 0.104 | **8.183 ± 0.034** |
|       Float String |  36.508 ± 0.092 | 47.560 ± 0.502 | **8.872 ± 0.068** |
| Large Float String |  62.730 ± 1.024 | 51.882 ± 0.086 | **9.196 ± 0.044** |
|                Int |  12.689 ± 0.060 | 15.186 ± 0.088 | **6.705 ± 0.064** |
|              Float |  12.019 ± 0.038 | 13.328 ± 0.113 | **6.424 ± 0.049** |

### Timing comparison to check if value can be converted to `float` or `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)  |
| -----------------: | --------------: | -------------: | ----------------: |
|  Non-number String |  48.080 ± 0.422 | 32.689 ± 1.053 | **7.041 ± 0.053** |
|   Small Int String |  12.951 ± 0.034 | 40.364 ± 0.285 | **7.305 ± 0.086** |
|         Int String |  13.770 ± 0.049 | 41.131 ± 0.339 | **7.493 ± 0.052** |
|  Medium Int String |  15.908 ± 0.397 | 45.402 ± 0.072 | **7.514 ± 0.165** |
|   Large Int String |  34.728 ± 0.014 | 54.111 ± 1.112 | **7.417 ± 0.043** |
| Small Float String |  13.397 ± 0.075 | 40.625 ± 2.437 | **8.128 ± 0.029** |
|       Float String |  33.328 ± 0.035 | 48.178 ± 0.106 | **8.650 ± 0.069** |
| Large Float String |  57.835 ± 0.006 | 50.262 ± 0.825 | **8.971 ± 0.081** |
|                Int |   8.984 ± 0.138 | 12.015 ± 0.071 | **6.262 ± 0.018** |
|              Float |   8.120 ± 0.025 | 10.986 ± 0.090 | **6.274 ± 0.011** |

### Timing comparison to check if value can be coerced losslessly to `int`

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)  |
| -----------------: | --------------: | --------------: | ----------------: |
|  Non-number String | 128.786 ± 1.799 |  40.152 ± 0.192 | **6.491 ± 0.060** |
|   Small Int String |  24.634 ± 0.015 |  23.478 ± 0.017 | **6.424 ± 0.071** |
|         Int String |  26.103 ± 0.372 |  25.953 ± 0.007 | **6.804 ± 0.094** |
|  Medium Int String |  32.231 ± 0.017 |  28.397 ± 0.294 | **6.765 ± 0.052** |
|   Large Int String |  63.351 ± 0.089 |  37.483 ± 0.480 | **6.728 ± 0.077** |
| Small Float String |  99.912 ± 1.287 |  61.313 ± 0.828 | **7.505 ± 0.066** |
|       Float String | 129.121 ± 3.041 |  97.321 ± 1.135 | **7.921 ± 0.048** |
| Large Float String | 157.302 ± 0.920 | 126.913 ± 2.508 | **7.991 ± 0.068** |
|                Int |  16.014 ± 0.067 |  51.582 ± 0.022 | **5.632 ± 0.030** |
|              Float |  39.637 ± 0.012 |  81.462 ± 1.585 | **5.930 ± 0.087** |

