sys.version_info(major=3, minor=11, micro=1, releaselevel='final', serial=0)

### Timing comparison of `int` functions

| Input type        | builtin (ms)       | fastnumbers (ms)   |
| ----------------: | -----------------: | -----------------: |
|  Small Int String |   12.589 ± 0.696   |  **6.860 ± 0.529** |
|        Int String |   13.447 ± 1.074   |  **9.136 ± 0.061** |
| Medium Int String |   15.500 ± 0.163   |  **9.748 ± 0.529** |
|  Large Int String |   22.830 ± 4.081   | **20.852 ± 0.245** |
|               Int |    6.934 ± 0.295   |  **5.603 ± 0.066** |
|             Float | **16.462 ± 0.030** |   19.117 ± 0.181   |

### Timing comparison of `float` functions

| Input type         | builtin (ms)      | fastnumbers (ms)   |
| -----------------: | ----------------: | -----------------: |
|   Small Int String | **7.164 ± 0.177** |    8.830 ± 0.175   |
|         Int String | **7.785 ± 0.741** |    8.866 ± 0.095   |
|  Medium Int String | **8.676 ± 0.174** |    9.381 ± 0.177   |
|   Large Int String |  28.183 ± 0.239   | **13.801 ± 0.038** |
| Small Float String | **7.298 ± 0.075** |    9.050 ± 0.052   |
|       Float String |  25.474 ± 0.647   | **10.587 ± 0.187** |
| Large Float String |  47.315 ± 0.048   | **10.735 ± 0.034** |
|                Int | **3.403 ± 0.061** |    7.858 ± 0.033   |
|              Float | **2.446 ± 0.055** |    5.325 ± 0.050   |

### Timing comparison of `int` functions with error handling

| Input type         | try/except (ms)    | regex (ms)      | fastnumbers (ms)   |
| -----------------: | -----------------: | --------------: | -----------------: |
|  Non-number String |  119.510 ± 3.464   |  23.821 ± 0.081 |  **7.627 ± 0.075** |
|   Small Int String |   16.088 ± 0.026   |  42.784 ± 0.148 |  **7.138 ± 0.059** |
|         Int String |   16.932 ± 0.210   |  47.846 ± 0.831 |  **9.482 ± 0.019** |
|  Medium Int String |   19.032 ± 0.034   |  55.368 ± 0.143 | **10.059 ± 0.048** |
|   Large Int String | **24.775 ± 0.046** |  76.420 ± 0.277 |   32.419 ± 8.462   |
| Small Float String |  131.296 ± 23.287  |  28.426 ± 0.937 |  **7.599 ± 0.079** |
|       Float String |  120.462 ± 0.574   |  34.981 ± 1.152 |  **8.020 ± 0.068** |
| Large Float String |  125.589 ± 0.858   |  33.852 ± 0.464 |  **8.145 ± 0.095** |
|                Int |    9.997 ± 0.037   |  93.293 ± 7.132 |  **5.948 ± 0.035** |
|              Float | **19.518 ± 0.028** | 100.799 ± 0.290 |   19.546 ± 0.044   |

### Timing comparison of `float` functions with error handling

| Input type         | try/except (ms)   | regex (ms)      | fastnumbers (ms)   |
| -----------------: | ----------------: | --------------: | -----------------: |
|  Non-number String |  68.844 ± 0.336   |  27.908 ± 0.141 |  **8.245 ± 0.028** |
|   Small Int String |  11.038 ± 0.824   |  45.968 ± 0.074 |  **9.910 ± 0.359** |
|         Int String |  11.291 ± 0.327   |  50.655 ± 0.804 |  **9.934 ± 0.027** |
|  Medium Int String |  12.126 ± 0.097   |  57.082 ± 0.247 | **10.385 ± 0.039** |
|   Large Int String |  32.930 ± 1.201   |  97.150 ± 3.827 | **16.419 ± 0.410** |
| Small Float String |  11.641 ± 0.738   |  48.032 ± 2.231 | **10.325 ± 0.063** |
|       Float String |  29.375 ± 0.028   |  82.816 ± 1.561 | **11.818 ± 0.030** |
| Large Float String |  51.425 ± 0.114   | 112.667 ± 4.100 | **12.009 ± 0.030** |
|                Int | **6.304 ± 0.060** |  87.275 ± 0.285 |    8.810 ± 0.030   |
|              Float | **5.128 ± 0.039** |  86.815 ± 1.629 |    6.371 ± 0.208   |

### Timing comparison of `float` (but coerce to `int` if possible) functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)    |
| -----------------: | --------------: | --------------: | ------------------: |
|  Non-number String |  71.906 ± 3.020 |  50.242 ± 0.766 |  **9.042 ± 0.180**  |
|   Small Int String |  24.549 ± 0.102 |  42.066 ± 0.324 |  **7.879 ± 0.076**  |
|         Int String |  26.435 ± 0.046 |  46.642 ± 0.841 | **10.377 ± 0.053**  |
|  Medium Int String |  30.269 ± 0.720 |  55.584 ± 2.802 | **11.228 ± 0.294**  |
|   Large Int String |  59.293 ± 0.033 |  75.291 ± 0.749 | **22.167 ± 0.038**  |
| Small Float String |  24.992 ± 0.214 |  71.503 ± 3.403 | **11.372 ± 0.032**  |
|       Float String |  60.369 ± 0.861 | 116.867 ± 5.200 | **17.945 ± 0.056**  |
| Large Float String | 114.538 ± 0.762 | 141.018 ± 1.215 | **47.902 ± 20.985** |
|                Int |  21.404 ± 0.984 |  97.594 ± 5.648 |  **6.666 ± 0.034**  |
|              Float |  43.184 ± 1.712 |  94.910 ± 1.253 | **21.164 ± 0.517**  |

### Timing comparison of forced `int` functions with error handling

| Input type         | try/except (ms)    | regex (ms)      | fastnumbers (ms)   |
| -----------------: | -----------------: | --------------: | -----------------: |
|  Non-number String |  208.897 ± 17.485  |  51.073 ± 0.018 |  **8.391 ± 0.076** |
|   Small Int String |   16.076 ± 0.019   |  42.377 ± 0.070 |  **7.480 ± 0.232** |
|         Int String |   17.213 ± 0.379   |  49.964 ± 6.863 |  **9.760 ± 0.021** |
|  Medium Int String |   18.960 ± 0.063   |  89.715 ± 0.437 | **12.367 ± 4.305** |
|   Large Int String |   24.912 ± 0.356   | 132.287 ± 0.939 | **22.357 ± 0.188** |
| Small Float String |  133.115 ± 1.589   |  81.125 ± 0.628 |  **8.810 ± 0.190** |
|       Float String |  169.630 ± 10.755  | 125.580 ± 0.944 | **17.192 ± 0.033** |
| Large Float String |  209.210 ± 6.064   | 173.270 ± 3.632 | **36.588 ± 0.065** |
|                Int |    9.992 ± 0.035   |  91.783 ± 1.263 |  **5.912 ± 0.046** |
|              Float | **19.569 ± 0.028** | 102.217 ± 2.244 |   44.126 ± 21.273  |

### Timing comparison to check if value can be converted to `int`

| Input type         | try/except (ms)  | regex (ms)     | fastnumbers (ms)  |
| -----------------: | ---------------: | -------------: | ----------------: |
|  Non-number String | 119.543 ± 4.400  | 34.629 ± 0.972 | **6.119 ± 0.052** |
|   Small Int String |  19.274 ± 0.047  | 40.188 ± 0.272 | **5.955 ± 0.083** |
|         Int String |  20.232 ± 0.055  | 44.502 ± 0.572 | **6.250 ± 0.048** |
|  Medium Int String |  22.361 ± 0.041  | 50.984 ± 3.082 | **6.198 ± 0.042** |
|   Large Int String |  28.255 ± 0.147  | 64.366 ± 0.147 | **6.203 ± 0.058** |
| Small Float String | 119.592 ± 11.911 | 39.395 ± 0.906 | **6.762 ± 0.055** |
|       Float String | 121.231 ± 1.776  | 46.881 ± 6.541 | **7.462 ± 0.061** |
| Large Float String | 124.738 ± 2.045  | 45.913 ± 0.895 | **7.503 ± 0.044** |
|                Int |  13.626 ± 1.069  | 12.640 ± 0.023 | **4.873 ± 0.060** |
|              Float |  22.427 ± 0.030  | 11.700 ± 0.025 | **4.917 ± 0.043** |

### Timing comparison to check if value can be converted to `float`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)  |
| -----------------: | --------------: | -------------: | ----------------: |
|  Non-number String |  70.354 ± 0.690 | 41.032 ± 0.903 | **6.819 ± 0.042** |
|   Small Int String |  13.553 ± 0.031 | 52.209 ± 0.458 | **6.754 ± 0.039** |
|         Int String |  14.176 ± 0.016 | 55.249 ± 0.509 | **7.148 ± 0.080** |
|  Medium Int String |  15.293 ± 0.025 | 60.375 ± 1.780 | **7.043 ± 0.046** |
|   Large Int String |  35.789 ± 0.229 | 76.288 ± 0.221 | **7.262 ± 0.316** |
| Small Float String |  14.250 ± 0.204 | 50.537 ± 0.963 | **7.750 ± 0.274** |
|       Float String |  33.230 ± 0.080 | 66.422 ± 1.252 | **8.188 ± 0.078** |
| Large Float String |  54.882 ± 0.749 | 72.142 ± 1.444 | **8.329 ± 0.091** |
|                Int |   8.677 ± 0.078 | 13.043 ± 0.023 | **5.614 ± 0.044** |
|              Float |   7.930 ± 0.059 | 11.310 ± 0.034 | **5.612 ± 0.033** |

### Timing comparison to check if value can be converted to `float` or `int`

| Input type         | try/except (ms)   | regex (ms)     | fastnumbers (ms)   |
| -----------------: | ----------------: | -------------: | -----------------: |
|  Non-number String |  69.244 ± 0.943   | 39.047 ± 0.337 |  **6.815 ± 0.082** |
|   Small Int String |  10.676 ± 0.021   | 49.727 ± 0.131 |  **6.770 ± 0.017** |
|         Int String |  11.311 ± 0.017   | 52.671 ± 0.409 |  **7.387 ± 0.734** |
|  Medium Int String |  12.423 ± 0.020   | 59.046 ± 0.218 |  **7.119 ± 0.037** |
|   Large Int String |  32.671 ± 0.018   | 76.439 ± 1.772 | **11.275 ± 3.563** |
| Small Float String |  11.074 ± 0.062   | 58.030 ± 5.090 |  **9.974 ± 3.195** |
|       Float String |  30.218 ± 0.133   | 68.739 ± 2.834 | **10.777 ± 1.758** |
| Large Float String |  54.476 ± 1.473   | 72.465 ± 0.897 |  **8.262 ± 0.060** |
|                Int |   6.591 ± 0.022   | 10.645 ± 0.038 |  **5.681 ± 0.048** |
|              Float | **5.451 ± 0.027** |  9.395 ± 0.089 |    5.672 ± 0.055   |

### Timing comparison to check if value can be coerced losslessly to `int`

| Input type         | try/except (ms)  | regex (ms)      | fastnumbers (ms)  |
| -----------------: | ---------------: | --------------: | ----------------: |
|  Non-number String | 209.075 ± 10.095 |  53.786 ± 0.939 | **5.978 ± 0.054** |
|   Small Int String |  29.647 ± 0.506  |  30.856 ± 1.562 | **5.783 ± 0.032** |
|         Int String |  31.054 ± 0.022  |  33.111 ± 0.045 | **6.159 ± 0.047** |
|  Medium Int String |  36.726 ± 0.727  |  39.265 ± 0.254 | **6.095 ± 0.049** |
|   Large Int String |  68.584 ± 0.172  |  53.585 ± 0.060 | **6.076 ± 0.035** |
| Small Float String | 130.217 ± 5.383  |  73.901 ± 0.121 | **6.573 ± 0.077** |
|       Float String | 154.614 ± 2.346  | 116.643 ± 3.089 | **7.216 ± 0.032** |
| Large Float String | 180.160 ± 2.003  | 145.942 ± 4.095 | **7.316 ± 0.038** |
|                Int |  17.891 ± 0.744  |  92.511 ± 1.872 | **4.689 ± 0.055** |
|              Float |  39.772 ± 0.059  | 124.031 ± 0.736 | **4.673 ± 0.033** |

