sys.version_info(major=3, minor=7, micro=9, releaselevel='final', serial=0)

### Timing comparison of `int` functions

| Input type        | builtin (ms)       | fastnumbers (ms)   |
| ----------------: | -----------------: | -----------------: |
|  Small Int String |   14.186 ± 0.248   |  **7.790 ± 0.138** |
|        Int String |   15.145 ± 0.093   | **10.171 ± 0.949** |
| Medium Int String |   17.014 ± 0.271   | **10.367 ± 0.075** |
|  Large Int String |   22.850 ± 0.070   | **21.071 ± 0.489** |
|               Int |    9.258 ± 0.097   |  **6.889 ± 0.079** |
|             Float | **19.593 ± 0.538** |   20.350 ± 0.188   |

### Timing comparison of `float` functions

| Input type         | builtin (ms)      | fastnumbers (ms)   |
| -----------------: | ----------------: | -----------------: |
|   Small Int String |  11.829 ± 0.092   |  **9.585 ± 0.090** |
|         Int String |  12.384 ± 0.560   |  **9.919 ± 0.055** |
|  Medium Int String |  13.359 ± 0.051   | **10.308 ± 0.167** |
|   Large Int String |  35.909 ± 7.434   | **14.476 ± 0.049** |
| Small Float String |  12.384 ± 1.176   | **10.130 ± 0.288** |
|       Float String |  29.721 ± 0.108   | **11.757 ± 1.495** |
| Large Float String |  52.927 ± 1.115   | **11.749 ± 0.270** |
|                Int | **8.040 ± 0.050** |    8.839 ± 0.059   |
|              Float |   7.213 ± 0.050   |  **6.478 ± 0.057** |

### Timing comparison of `int` functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String | 110.521 ± 4.610 | 26.948 ± 0.390  |  **8.470 ± 0.075** |
|   Small Int String |  21.906 ± 0.020 | 58.548 ± 18.708 |  **8.206 ± 0.112** |
|         Int String |  23.084 ± 0.262 | 49.424 ± 0.111  | **10.597 ± 0.018** |
|  Medium Int String |  24.732 ± 0.006 | 55.776 ± 0.613  | **10.813 ± 0.020** |
|   Large Int String |  31.168 ± 0.815 | 72.905 ± 0.123  | **21.539 ± 0.025** |
| Small Float String | 105.259 ± 0.415 | 30.295 ± 0.486  |  **8.417 ± 0.052** |
|       Float String | 111.828 ± 0.983 | 35.278 ± 0.008  |  **8.912 ± 0.101** |
| Large Float String | 116.722 ± 0.523 | 35.528 ± 0.360  |  **8.799 ± 0.067** |
|                Int |  16.463 ± 0.013 | 76.058 ± 0.876  |  **7.137 ± 0.052** |
|              Float |  30.025 ± 4.226 | 87.508 ± 0.943  | **20.979 ± 0.163** |

### Timing comparison of `float` functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  66.865 ± 0.461 |  30.442 ± 0.187 |  **9.101 ± 0.080** |
|   Small Int String |  19.368 ± 0.006 |  52.993 ± 0.540 | **10.617 ± 0.009** |
|         Int String |  19.996 ± 0.050 |  55.830 ± 0.218 | **10.883 ± 0.016** |
|  Medium Int String |  21.070 ± 0.004 |  61.365 ± 0.508 | **11.307 ± 0.006** |
|   Large Int String |  44.510 ± 6.144 |  94.440 ± 0.840 | **15.548 ± 0.010** |
| Small Float String |  19.962 ± 0.537 |  52.069 ± 0.312 | **11.073 ± 0.007** |
|       Float String |  37.684 ± 0.143 |  83.942 ± 0.360 | **12.632 ± 0.009** |
| Large Float String |  60.153 ± 0.499 | 112.514 ± 3.484 | **12.790 ± 0.009** |
|                Int |  14.964 ± 0.146 |  74.737 ± 0.715 |  **9.822 ± 0.119** |
|              Float |  14.010 ± 0.011 |  74.387 ± 0.300 |  **7.404 ± 0.053** |

### Timing comparison of `float` (but coerce to `int` if possible) functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  67.302 ± 1.119 |  50.590 ± 0.267 |  **9.738 ± 0.094** |
|   Small Int String |  39.310 ± 0.044 |  46.318 ± 0.174 |  **9.477 ± 0.915** |
|         Int String |  41.514 ± 0.088 |  49.650 ± 0.281 | **11.634 ± 0.015** |
|  Medium Int String |  44.871 ± 0.092 |  56.371 ± 1.757 | **12.027 ± 0.009** |
|   Large Int String |  74.584 ± 1.467 |  73.177 ± 0.378 | **22.698 ± 0.013** |
| Small Float String |  40.815 ± 1.699 |  75.774 ± 0.180 | **12.140 ± 0.014** |
|       Float String |  73.566 ± 2.522 | 112.994 ± 1.238 | **18.685 ± 0.013** |
| Large Float String | 128.552 ± 0.897 | 139.712 ± 0.302 | **38.582 ± 0.709** |
|                Int |  36.251 ± 0.242 |  81.588 ± 0.369 |  **7.689 ± 0.215** |
|              Float |  56.887 ± 0.391 |  76.445 ± 0.460 | **23.644 ± 4.198** |

### Timing comparison of forced `int` functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String | 186.441 ± 2.084 |  49.671 ± 0.291 |  **9.270 ± 0.033** |
|   Small Int String |  21.701 ± 0.066 |  46.545 ± 2.056 |  **8.551 ± 0.195** |
|         Int String |  22.808 ± 0.022 |  48.340 ± 0.021 | **11.144 ± 0.019** |
|  Medium Int String |  24.827 ± 0.008 |  91.899 ± 0.621 | **11.533 ± 0.118** |
|   Large Int String |  30.876 ± 0.246 | 130.498 ± 2.043 | **22.536 ± 0.193** |
| Small Float String | 134.801 ± 1.360 |  84.207 ± 0.394 | **14.178 ± 0.289** |
|       Float String | 166.256 ± 1.710 | 129.991 ± 2.359 | **18.363 ± 0.759** |
| Large Float String | 216.890 ± 6.090 | 171.889 ± 0.626 | **40.946 ± 1.459** |
|                Int |  17.872 ± 1.052 |  77.692 ± 1.847 |  **7.078 ± 0.066** |
|              Float |  27.031 ± 0.014 |  90.800 ± 4.886 | **21.339 ± 0.934** |

### Timing comparison to check if value can be converted to `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)  |
| -----------------: | --------------: | -------------: | ----------------: |
|  Non-number String | 110.722 ± 4.893 | 52.946 ± 4.146 | **7.081 ± 0.057** |
|   Small Int String |  35.604 ± 0.457 | 55.293 ± 0.835 | **6.858 ± 0.013** |
|         Int String |  33.660 ± 0.106 | 57.756 ± 0.458 | **7.178 ± 0.059** |
|  Medium Int String |  36.716 ± 1.376 | 61.818 ± 0.250 | **7.143 ± 0.039** |
|   Large Int String |  41.543 ± 0.027 | 73.656 ± 0.619 | **7.100 ± 0.039** |
| Small Float String | 108.112 ± 7.347 | 57.282 ± 5.071 | **7.853 ± 0.033** |
|       Float String | 112.621 ± 1.406 | 60.651 ± 0.174 | **8.693 ± 0.402** |
| Large Float String | 114.817 ± 0.649 | 60.503 ± 0.025 | **8.490 ± 0.029** |
|                Int |  29.711 ± 0.878 | 26.859 ± 0.007 | **5.636 ± 0.035** |
|              Float |  37.428 ± 0.002 | 25.901 ± 0.005 | **5.869 ± 0.106** |

### Timing comparison to check if value can be converted to `float`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)  |
| -----------------: | --------------: | -------------: | ----------------: |
|  Non-number String |  67.044 ± 0.672 | 57.037 ± 1.025 | **7.706 ± 0.088** |
|   Small Int String |  31.891 ± 2.469 | 63.985 ± 0.052 | **7.656 ± 0.069** |
|         Int String |  31.273 ± 0.168 | 67.491 ± 2.249 | **8.021 ± 0.076** |
|  Medium Int String |  32.441 ± 0.201 | 70.825 ± 0.157 | **7.970 ± 0.085** |
|   Large Int String |  54.262 ± 1.786 | 83.828 ± 3.105 | **7.957 ± 0.107** |
| Small Float String |  32.761 ± 2.163 | 63.740 ± 1.771 | **8.531 ± 0.117** |
|       Float String |  49.362 ± 0.205 | 78.911 ± 3.808 | **9.646 ± 0.094** |
| Large Float String |  74.955 ± 1.046 | 83.865 ± 0.606 | **9.300 ± 0.067** |
|                Int |  25.516 ± 0.026 | 27.316 ± 0.006 | **6.570 ± 0.034** |
|              Float |  25.998 ± 1.748 | 24.980 ± 0.011 | **6.590 ± 0.035** |

### Timing comparison to check if value can be converted to `float` or `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)  |
| -----------------: | --------------: | -------------: | ----------------: |
|  Non-number String |  68.250 ± 3.584 | 56.598 ± 0.598 | **7.879 ± 0.277** |
|   Small Int String |  20.913 ± 0.144 | 66.921 ± 0.993 | **7.716 ± 0.154** |
|         Int String |  21.603 ± 0.111 | 66.744 ± 1.185 | **7.686 ± 0.067** |
|  Medium Int String |  21.906 ± 0.143 | 71.929 ± 4.001 | **7.738 ± 0.087** |
|   Large Int String |  42.685 ± 0.250 | 81.850 ± 0.396 | **7.988 ± 0.690** |
| Small Float String |  20.428 ± 0.009 | 62.688 ± 0.986 | **8.355 ± 0.066** |
|       Float String |  38.531 ± 0.317 | 75.633 ± 0.834 | **9.036 ± 0.041** |
| Large Float String |  60.694 ± 0.158 | 78.825 ± 0.086 | **9.165 ± 0.216** |
|                Int |  15.534 ± 0.002 | 23.422 ± 0.387 | **6.315 ± 0.049** |
|              Float |  14.630 ± 0.008 | 21.430 ± 0.006 | **6.582 ± 0.179** |

### Timing comparison to check if value can be coerced losslessly to `int`

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)  |
| -----------------: | --------------: | --------------: | ----------------: |
|  Non-number String | 179.668 ± 2.145 |  50.616 ± 0.128 | **6.854 ± 0.070** |
|   Small Int String |  40.662 ± 0.187 |  30.886 ± 0.039 | **6.755 ± 0.135** |
|         Int String |  42.547 ± 0.445 |  33.349 ± 0.192 | **7.145 ± 0.180** |
|  Medium Int String |  47.565 ± 0.070 |  37.261 ± 0.006 | **6.961 ± 0.039** |
|   Large Int String |  80.071 ± 0.384 |  48.726 ± 0.007 | **7.057 ± 0.211** |
| Small Float String | 129.395 ± 1.054 |  80.865 ± 1.709 | **7.623 ± 0.058** |
|       Float String | 155.662 ± 0.427 | 118.904 ± 4.248 | **8.321 ± 0.059** |
| Large Float String | 182.865 ± 2.367 | 145.046 ± 0.389 | **8.311 ± 0.055** |
|                Int |  31.019 ± 0.013 |  77.993 ± 0.663 | **5.584 ± 0.058** |
|              Float |  53.975 ± 0.266 | 105.516 ± 0.273 | **5.722 ± 0.064** |

