sys.version_info(major=3, minor=8, micro=7, releaselevel='final', serial=0)

### Timing comparison of `int` functions

| Input type        | builtin (ms)       | fastnumbers (ms)   |
| ----------------: | -----------------: | -----------------: |
|  Small Int String |   12.730 ± 0.184   |  **7.454 ± 0.066** |
|        Int String |   13.343 ± 0.093   |  **9.933 ± 0.047** |
| Medium Int String |   14.755 ± 1.501   | **10.131 ± 0.065** |
|  Large Int String | **18.180 ± 0.070** |   18.253 ± 0.962   |
|               Int |    7.435 ± 0.244   |  **6.172 ± 0.041** |
|             Float | **17.668 ± 0.053** |   21.402 ± 2.892   |

### Timing comparison of `float` functions

| Input type         | builtin (ms)      | fastnumbers (ms)   |
| -----------------: | ----------------: | -----------------: |
|   Small Int String |  12.128 ± 0.628   |  **9.800 ± 0.203** |
|         Int String |  12.717 ± 0.103   | **10.155 ± 0.549** |
|  Medium Int String |  14.058 ± 0.113   | **10.416 ± 0.053** |
|   Large Int String |  33.896 ± 0.956   | **14.643 ± 0.543** |
| Small Float String |  12.857 ± 0.043   | **10.499 ± 0.181** |
|       Float String |  32.188 ± 0.592   | **12.598 ± 0.094** |
| Large Float String |  55.475 ± 0.987   | **12.794 ± 0.592** |
|                Int | **8.732 ± 0.155** |    9.620 ± 0.144   |
|              Float |   7.481 ± 0.145   |  **6.676 ± 0.088** |

### Timing comparison of `int` functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String | 110.888 ± 2.108 | 26.199 ± 0.055  |  **8.889 ± 0.019** |
|   Small Int String |  19.847 ± 0.024 | 45.566 ± 2.212  |  **8.633 ± 0.089** |
|         Int String |  20.747 ± 0.009 | 47.540 ± 0.045  | **11.254 ± 0.149** |
|  Medium Int String |  21.260 ± 0.096 | 51.947 ± 0.623  | **11.643 ± 0.007** |
|   Large Int String |  26.181 ± 0.365 | 71.502 ± 1.341  | **20.053 ± 0.514** |
| Small Float String | 111.405 ± 2.267 | 29.582 ± 0.007  |  **8.822 ± 0.011** |
|       Float String | 112.832 ± 2.168 | 34.062 ± 0.007  |  **9.003 ± 0.014** |
| Large Float String | 120.336 ± 2.375 | 34.637 ± 0.538  |  **8.982 ± 0.031** |
|                Int |  13.266 ± 0.004 | 74.868 ± 12.544 | **12.489 ± 2.175** |
|              Float |  29.298 ± 2.650 | 86.266 ± 2.120  | **23.768 ± 1.904** |

### Timing comparison of `float` functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  70.751 ± 8.698 |  30.179 ± 1.103 |  **9.367 ± 0.062** |
|   Small Int String |  19.460 ± 0.042 |  53.537 ± 0.778 | **11.219 ± 0.033** |
|         Int String |  19.576 ± 0.009 |  56.897 ± 0.923 | **11.829 ± 0.011** |
|  Medium Int String |  21.582 ± 0.167 |  61.248 ± 0.890 | **12.174 ± 0.024** |
|   Large Int String |  42.487 ± 0.683 |  97.267 ± 1.224 | **17.050 ± 0.015** |
| Small Float String |  19.632 ± 0.322 |  51.714 ± 0.708 | **12.111 ± 0.008** |
|       Float String |  39.262 ± 0.752 |  85.373 ± 1.487 | **13.693 ± 0.008** |
| Large Float String |  62.573 ± 0.079 | 114.056 ± 1.649 | **13.478 ± 0.104** |
|                Int |  14.332 ± 0.031 |  69.986 ± 3.002 | **10.713 ± 0.367** |
|              Float |  13.464 ± 0.014 |  69.146 ± 0.062 |  **7.738 ± 0.004** |

### Timing comparison of `float` (but coerce to `int` if possible) functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  66.106 ± 0.906 |  47.295 ± 0.829 | **10.245 ± 0.006** |
|   Small Int String |  34.680 ± 0.054 |  44.154 ± 1.597 |  **9.482 ± 0.004** |
|         Int String |  36.684 ± 0.595 |  47.816 ± 1.794 | **12.480 ± 0.500** |
|  Medium Int String |  40.420 ± 0.601 |  54.676 ± 2.252 | **12.219 ± 0.011** |
|   Large Int String |  71.460 ± 0.935 |  70.553 ± 2.034 | **21.439 ± 0.014** |
| Small Float String |  34.389 ± 0.520 |  73.655 ± 1.037 | **13.372 ± 0.243** |
|       Float String |  70.123 ± 1.163 | 112.252 ± 1.398 | **20.727 ± 0.393** |
| Large Float String | 129.285 ± 1.095 | 140.052 ± 0.325 | **40.601 ± 0.085** |
|                Int |  29.827 ± 0.519 |  74.714 ± 2.484 |  **7.556 ± 0.012** |
|              Float |  51.868 ± 0.042 |  73.311 ± 0.451 | **22.674 ± 0.108** |

### Timing comparison of forced `int` functions with error handling

| Input type         | try/except (ms) | regex (ms)       | fastnumbers (ms)   |
| -----------------: | --------------: | ---------------: | -----------------: |
|  Non-number String | 177.131 ± 2.119 |  48.813 ± 0.300  |  **9.375 ± 0.019** |
|   Small Int String |  19.265 ± 0.006 |  44.503 ± 3.029  |  **8.922 ± 0.004** |
|         Int String |  20.755 ± 0.005 |  49.112 ± 0.412  | **11.512 ± 0.106** |
|  Medium Int String |  21.270 ± 0.096 |  89.518 ± 1.242  | **12.191 ± 0.050** |
|   Large Int String |  26.013 ± 0.007 | 131.097 ± 9.542  | **20.358 ± 0.031** |
| Small Float String | 129.235 ± 1.141 |  80.439 ± 2.077  | **14.826 ± 0.009** |
|       Float String | 171.361 ± 3.261 | 151.193 ± 25.174 | **20.896 ± 0.185** |
| Large Float String | 214.887 ± 4.584 | 177.821 ± 4.828  | **42.449 ± 4.578** |
|                Int |  13.700 ± 0.005 |  69.204 ± 0.058  |  **7.183 ± 0.033** |
|              Float |  25.247 ± 0.022 |  80.713 ± 1.155  | **22.774 ± 0.304** |

### Timing comparison to check if value can be converted to `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)  |
| -----------------: | --------------: | -------------: | ----------------: |
|  Non-number String | 114.661 ± 1.215 | 49.919 ± 1.429 | **7.014 ± 0.053** |
|   Small Int String |  29.961 ± 0.186 | 52.985 ± 2.409 | **7.122 ± 0.100** |
|         Int String |  30.869 ± 0.052 | 55.649 ± 0.943 | **7.545 ± 0.047** |
|  Medium Int String |  32.032 ± 0.238 | 60.471 ± 1.687 | **7.404 ± 0.157** |
|   Large Int String |  36.726 ± 0.045 | 71.843 ± 1.947 | **7.385 ± 0.048** |
| Small Float String | 109.212 ± 2.871 | 55.673 ± 1.208 | **8.436 ± 0.122** |
|       Float String | 123.935 ± 1.338 | 61.109 ± 1.439 | **8.811 ± 0.017** |
| Large Float String | 117.221 ± 1.827 | 60.288 ± 1.207 | **9.261 ± 0.047** |
|                Int |  25.544 ± 0.054 | 24.007 ± 0.061 | **6.143 ± 0.020** |
|              Float |  36.979 ± 0.134 | 22.762 ± 0.018 | **6.617 ± 0.090** |

### Timing comparison to check if value can be converted to `float`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)  |
| -----------------: | --------------: | -------------: | ----------------: |
|  Non-number String |  70.067 ± 1.201 | 55.434 ± 1.117 | **8.225 ± 0.034** |
|   Small Int String |  30.417 ± 0.013 | 61.630 ± 1.561 | **7.950 ± 0.051** |
|         Int String |  30.453 ± 0.348 | 64.639 ± 2.905 | **8.275 ± 0.017** |
|  Medium Int String |  32.233 ± 0.566 | 69.451 ± 1.637 | **8.626 ± 0.005** |
|   Large Int String |  53.524 ± 0.890 | 80.674 ± 1.647 | **8.405 ± 0.133** |
| Small Float String |  30.925 ± 0.056 | 60.978 ± 0.859 | **8.546 ± 0.020** |
|       Float String |  52.656 ± 3.021 | 78.660 ± 1.274 | **9.716 ± 0.021** |
| Large Float String |  76.718 ± 2.023 | 79.064 ± 2.076 | **9.798 ± 0.010** |
|                Int |  24.224 ± 0.016 | 22.936 ± 0.008 | **6.507 ± 0.039** |
|              Float |  24.162 ± 0.564 | 21.357 ± 0.043 | **6.761 ± 0.034** |

### Timing comparison to check if value can be converted to `float` or `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)  |
| -----------------: | --------------: | -------------: | ----------------: |
|  Non-number String |  66.447 ± 0.292 | 52.414 ± 1.822 | **7.448 ± 0.030** |
|   Small Int String |  19.648 ± 0.288 | 61.143 ± 0.632 | **7.618 ± 0.062** |
|         Int String |  20.017 ± 0.007 | 66.307 ± 5.601 | **8.571 ± 0.809** |
|  Medium Int String |  22.139 ± 0.053 | 69.420 ± 1.079 | **8.168 ± 0.067** |
|   Large Int String |  43.621 ± 0.040 | 80.505 ± 1.017 | **7.761 ± 0.035** |
| Small Float String |  19.807 ± 0.251 | 60.539 ± 1.596 | **8.196 ± 0.031** |
|       Float String |  38.855 ± 0.097 | 74.068 ± 1.164 | **8.954 ± 0.094** |
| Large Float String |  63.789 ± 1.272 | 78.092 ± 0.584 | **9.132 ± 0.077** |
|                Int |  14.503 ± 0.031 | 19.901 ± 0.027 | **6.271 ± 0.016** |
|              Float |  13.670 ± 0.237 | 18.868 ± 0.510 | **6.564 ± 0.012** |

### Timing comparison to check if value can be coerced losslessly to `int`

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)  |
| -----------------: | --------------: | --------------: | ----------------: |
|  Non-number String | 174.255 ± 3.376 |  47.925 ± 0.285 | **6.958 ± 0.030** |
|   Small Int String |  38.187 ± 0.543 |  30.375 ± 0.008 | **6.796 ± 0.030** |
|         Int String |  42.139 ± 3.555 |  33.888 ± 0.172 | **7.547 ± 0.036** |
|  Medium Int String |  45.751 ± 0.138 |  37.241 ± 0.526 | **7.039 ± 0.065** |
|   Large Int String |  76.780 ± 0.337 |  50.521 ± 0.785 | **6.943 ± 0.016** |
| Small Float String | 131.403 ± 2.628 |  78.397 ± 1.509 | **7.772 ± 0.035** |
|       Float String | 156.915 ± 2.271 | 118.703 ± 2.614 | **8.666 ± 0.023** |
| Large Float String | 188.136 ± 3.973 | 148.394 ± 2.881 | **8.659 ± 0.050** |
|                Int |  26.778 ± 0.045 |  69.914 ± 0.988 | **5.703 ± 0.026** |
|              Float |  51.406 ± 0.266 |  97.251 ± 1.374 | **5.838 ± 0.020** |

