sys.version_info(major=3, minor=9, micro=1, releaselevel='final', serial=0)

### Timing comparison of `int` functions

| Input type        | builtin (ms)       | fastnumbers (ms)   |
| ----------------: | -----------------: | -----------------: |
|  Small Int String |   12.593 ± 0.248   |  **7.914 ± 0.441** |
|        Int String |   13.992 ± 0.188   | **10.547 ± 0.130** |
| Medium Int String |   16.081 ± 0.933   | **10.798 ± 0.156** |
|  Large Int String |   20.625 ± 0.423   | **20.528 ± 0.482** |
|               Int |    7.456 ± 0.086   |  **6.754 ± 0.101** |
|             Float | **17.618 ± 0.245** |   20.509 ± 0.342   |

### Timing comparison of `float` functions

| Input type         | builtin (ms)      | fastnumbers (ms)   |
| -----------------: | ----------------: | -----------------: |
|   Small Int String |  12.346 ± 0.181   |  **9.970 ± 0.154** |
|         Int String |  13.045 ± 0.369   | **10.372 ± 0.202** |
|  Medium Int String |  14.447 ± 0.172   | **10.655 ± 0.165** |
|   Large Int String |  34.842 ± 0.483   | **15.100 ± 0.127** |
| Small Float String |  12.745 ± 0.199   | **10.717 ± 0.589** |
|       Float String |  32.362 ± 0.544   | **12.314 ± 0.430** |
| Large Float String |  55.314 ± 0.748   | **12.370 ± 0.131** |
|                Int | **8.269 ± 0.468** |    9.181 ± 0.139   |
|              Float |   7.166 ± 0.084   |  **6.925 ± 1.448** |

### Timing comparison of `int` functions with error handling

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)   |
| -----------------: | --------------: | -------------: | -----------------: |
|  Non-number String | 113.282 ± 2.178 | 28.338 ± 0.103 |  **8.585 ± 0.133** |
|   Small Int String |  18.880 ± 0.010 | 49.447 ± 0.530 |  **8.270 ± 0.052** |
|         Int String |  20.351 ± 0.763 | 53.191 ± 0.911 | **10.739 ± 0.015** |
|  Medium Int String |  22.308 ± 1.526 | 59.030 ± 0.929 | **11.239 ± 0.164** |
|   Large Int String |  26.523 ± 0.236 | 75.934 ± 0.082 | **20.858 ± 0.070** |
| Small Float String | 101.350 ± 1.587 | 32.187 ± 0.499 |  **9.069 ± 0.014** |
|       Float String | 123.328 ± 0.383 | 38.582 ± 0.300 |  **9.553 ± 0.022** |
| Large Float String | 119.014 ± 1.791 | 36.978 ± 0.542 |  **9.031 ± 0.008** |
|                Int |  13.046 ± 0.124 | 71.464 ± 3.671 |  **7.964 ± 0.517** |
|              Float |  26.833 ± 0.331 | 82.255 ± 2.104 | **23.186 ± 0.193** |

### Timing comparison of `float` functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  63.457 ± 0.217 |  32.312 ± 0.097 |  **9.439 ± 0.039** |
|   Small Int String |  18.933 ± 0.203 |  54.598 ± 3.398 | **11.018 ± 0.010** |
|         Int String |  18.883 ± 0.006 |  56.796 ± 2.269 | **11.612 ± 0.010** |
|  Medium Int String |  20.686 ± 0.031 |  61.178 ± 1.864 | **11.651 ± 0.006** |
|   Large Int String |  41.133 ± 0.011 |  96.650 ± 3.003 | **16.260 ± 0.025** |
| Small Float String |  18.666 ± 0.013 |  49.794 ± 0.746 | **12.010 ± 0.009** |
|       Float String |  38.494 ± 0.561 |  86.937 ± 0.727 | **13.328 ± 0.217** |
| Large Float String |  61.532 ± 0.015 | 115.315 ± 3.365 | **13.405 ± 0.060** |
|                Int |  13.837 ± 0.026 |  65.023 ± 0.919 | **10.488 ± 0.015** |
|              Float |  12.811 ± 0.255 |  67.340 ± 4.061 |  **9.297 ± 2.210** |

### Timing comparison of `float` (but coerce to `int` if possible) functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  69.576 ± 8.552 |  48.195 ± 0.448 | **10.047 ± 0.012** |
|   Small Int String |  33.381 ± 0.179 |  46.644 ± 0.130 |  **8.828 ± 0.051** |
|         Int String |  34.312 ± 0.029 |  52.759 ± 0.572 | **12.017 ± 0.023** |
|  Medium Int String |  47.312 ± 8.377 |  61.891 ± 1.043 | **12.847 ± 0.022** |
|   Large Int String |  70.102 ± 0.612 |  76.042 ± 0.778 | **21.787 ± 0.072** |
| Small Float String |  33.033 ± 0.027 |  74.887 ± 3.416 | **12.688 ± 0.010** |
|       Float String |  70.756 ± 4.574 | 114.817 ± 1.407 | **19.573 ± 0.010** |
| Large Float String | 126.242 ± 0.647 | 145.267 ± 3.663 | **40.787 ± 0.566** |
|                Int |  28.990 ± 0.074 |  69.509 ± 0.643 |  **7.437 ± 0.017** |
|              Float |  51.889 ± 0.062 |  67.726 ± 0.117 | **22.826 ± 0.082** |

### Timing comparison of forced `int` functions with error handling

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String | 172.662 ± 2.171 |  46.588 ± 0.041 |  **9.413 ± 0.040** |
|   Small Int String |  19.126 ± 0.338 |  46.695 ± 1.698 |  **8.909 ± 0.530** |
|         Int String |  20.797 ± 0.238 |  50.297 ± 0.791 | **11.261 ± 0.009** |
|  Medium Int String |  21.675 ± 0.157 |  89.442 ± 0.190 | **11.666 ± 0.012** |
|   Large Int String |  26.574 ± 0.015 | 127.667 ± 0.937 | **21.386 ± 0.006** |
| Small Float String | 125.611 ± 0.717 |  83.287 ± 4.168 | **14.638 ± 5.906** |
|       Float String | 176.213 ± 6.931 | 131.219 ± 2.238 | **18.761 ± 0.009** |
| Large Float String | 215.600 ± 4.576 | 175.560 ± 2.711 | **39.680 ± 0.434** |
|                Int |  13.061 ± 0.027 |  66.012 ± 0.072 |  **7.223 ± 0.051** |
|              Float |  23.827 ± 0.254 |  76.009 ± 0.825 | **23.477 ± 4.494** |

### Timing comparison to check if value can be converted to `int`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)  |
| -----------------: | --------------: | -------------: | ----------------: |
|  Non-number String | 108.364 ± 1.407 | 43.367 ± 0.035 | **7.053 ± 0.040** |
|   Small Int String |  26.890 ± 0.441 | 51.432 ± 2.656 | **7.471 ± 0.029** |
|         Int String |  28.267 ± 0.522 | 52.019 ± 0.167 | **7.556 ± 0.060** |
|  Medium Int String |  28.778 ± 0.069 | 54.932 ± 0.404 | **7.225 ± 0.046** |
|   Large Int String |  33.605 ± 0.056 | 70.005 ± 2.097 | **7.319 ± 0.124** |
| Small Float String | 101.619 ± 1.371 | 47.796 ± 0.775 | **8.112 ± 0.023** |
|       Float String | 112.443 ± 1.773 | 52.576 ± 0.025 | **8.581 ± 0.020** |
| Large Float String | 116.919 ± 0.845 | 54.079 ± 1.947 | **8.990 ± 0.048** |
|                Int |  20.050 ± 0.365 | 21.579 ± 0.005 | **5.650 ± 0.027** |
|              Float |  30.338 ± 0.020 | 20.427 ± 0.014 | **5.875 ± 0.037** |

### Timing comparison to check if value can be converted to `float`

| Input type         | try/except (ms) | regex (ms)     | fastnumbers (ms)  |
| -----------------: | --------------: | -------------: | ----------------: |
|  Non-number String |  62.413 ± 0.843 | 47.293 ± 0.042 | **7.975 ± 0.038** |
|   Small Int String |  26.279 ± 0.005 | 57.323 ± 0.810 | **7.861 ± 0.026** |
|         Int String |  26.804 ± 0.389 | 63.788 ± 3.379 | **8.652 ± 0.180** |
|  Medium Int String |  28.135 ± 0.006 | 67.880 ± 2.493 | **8.369 ± 0.031** |
|   Large Int String |  50.123 ± 0.725 | 77.206 ± 0.682 | **8.239 ± 0.033** |
| Small Float String |  26.503 ± 0.380 | 56.502 ± 0.931 | **8.642 ± 0.068** |
|       Float String |  47.032 ± 2.534 | 70.667 ± 0.914 | **9.228 ± 0.016** |
| Large Float String |  69.682 ± 0.434 | 73.521 ± 0.039 | **9.291 ± 0.042** |
|                Int |  20.431 ± 0.030 | 22.568 ± 0.372 | **6.595 ± 0.120** |
|              Float |  19.404 ± 0.026 | 19.850 ± 0.003 | **6.463 ± 0.062** |

### Timing comparison to check if value can be converted to `float` or `int`

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)   |
| -----------------: | --------------: | --------------: | -----------------: |
|  Non-number String |  62.700 ± 2.415 | 47.693 ± 0.448  |  **7.654 ± 0.067** |
|   Small Int String |  18.768 ± 0.024 | 57.541 ± 2.481  |  **8.121 ± 0.285** |
|         Int String |  20.091 ± 0.017 | 60.349 ± 0.058  |  **8.399 ± 0.104** |
|  Medium Int String |  21.361 ± 0.120 | 63.463 ± 0.883  |  **7.972 ± 0.025** |
|   Large Int String |  42.285 ± 0.751 | 82.013 ± 3.395  |  **8.439 ± 0.019** |
| Small Float String |  20.607 ± 0.066 | 58.581 ± 0.248  |  **9.694 ± 0.449** |
|       Float String |  42.608 ± 0.548 | 72.007 ± 1.249  |  **9.772 ± 0.040** |
| Large Float String |  64.745 ± 2.167 | 93.079 ± 11.397 | **10.517 ± 0.027** |
|                Int |  15.962 ± 0.042 | 21.281 ± 0.018  |  **6.939 ± 0.054** |
|              Float |  14.370 ± 0.139 | 18.610 ± 0.010  |  **6.893 ± 0.039** |

### Timing comparison to check if value can be coerced losslessly to `int`

| Input type         | try/except (ms) | regex (ms)      | fastnumbers (ms)  |
| -----------------: | --------------: | --------------: | ----------------: |
|  Non-number String | 176.388 ± 5.146 |  47.721 ± 0.665 | **6.952 ± 0.107** |
|   Small Int String |  36.671 ± 0.131 |  31.345 ± 0.148 | **7.069 ± 0.009** |
|         Int String |  38.811 ± 0.543 |  33.323 ± 0.562 | **9.177 ± 3.960** |
|  Medium Int String |  45.133 ± 0.185 |  38.554 ± 0.021 | **7.352 ± 0.025** |
|   Large Int String |  78.121 ± 0.124 |  50.196 ± 0.022 | **7.092 ± 0.026** |
| Small Float String | 128.708 ± 3.183 |  78.251 ± 3.168 | **7.931 ± 0.044** |
|       Float String | 157.215 ± 3.267 | 120.111 ± 2.452 | **8.544 ± 0.186** |
| Large Float String | 182.948 ± 2.852 | 149.855 ± 4.554 | **8.850 ± 0.069** |
|                Int |  26.646 ± 0.444 |  65.726 ± 0.545 | **5.852 ± 0.037** |
|              Float |  51.737 ± 0.760 |  95.225 ± 0.323 | **5.854 ± 0.106** |

